import request from 'src/utils/request'

//获取班次信息
export function getShiftDetail() {
    return request({
        url: '/qrcode/device/api/shift/list',
        method: "GET"
    })
}

//获取班组信息
export function getClassGroup() {
    return request({
        url: '/qrcode/device/api/classGroup/data/list',
        method: "GET"
    })
}

//获取生产设备信息
export function getProductLineDevice() {
    return request({
        url: '/qrcode/device/api/productionLine/data/list',
        method: "GET"
    })
}
//盒烟码关联
export function relationSuccess(query) {
    return request({
        url: '/qrcode/product/export/smoke/exportQrCodePDA/insertExportQrCodeCase',
        method: "POST",
        data: query
    })
}

//通过二维码获取品规信息
export function getQrBrandByQrCode(qrCode) {
    return request({
        url: '/qrcode/product/export/smoke/exportQrCodePDA/getQrBrandByPiece/?qrCode=' + qrCode,
        method: "GET"
    })
}

//根据盒条件码获取状态信息
export function queryStatusByQrCode(qrCode){
    return request({
        url: '/qrcode/product/export/smoke/exportQrCodePDA/queryStatusByQrCode/?qrCode=' + qrCode,
        method: "GET"
    })
}
//根据大小件码获取信息
export function queryExportOperByQrCode(qrCode){
    return request({
        url: '/qrcode/product/export/smoke/codeOper/queryExportOperByQrCode/?qrCode=' + qrCode,
        method: "GET"
    })
}













